jQuery(function() {
    jQuery('.age-verification-btn-yes').on('click', function(e) {
        e.preventDefault();
        if (jQuery('.age-gate-remember-me-checkbox').is(":checked")) {
            Cookies.set('remember_me', 1);
        }
        jQuery.ajax({
            type: 'POST',
            url: my_ajax_obj.ajax_url,
            data: {
                _ajax_nonce: my_ajax_obj.nonce,
                action: 'set_age_verification_cookie'
            },
            success: function(response) {
                jQuery('.age-verification-overlay').remove();
            }, error: function () {
                Cookies.remove('remember_me', { path: '' });
            }
        });
    });
    $footerClass = jQuery('footer').attr('class');
    if (!$footerClass) {
        $footerClass = jQuery('footer').attr('id');
    }
    if (Cookies.get('age_verification') || Cookies.get('age_verification_mode') == 0) {
        if (typeof Cookies.get('age_verification_mode') !== 'undefined') {
            jQuery('.age-verification-overlay').css("display", "none");
        } else {
            jQuery('.age-verification-overlay').css("display", "block");
        }
    } else {
        jQuery('.age-verification-overlay').css("display", "block");
    }
});